# Overtime V2 sports

## REST API <a href="#rest-api" id="rest-api"></a>

<mark style="color:green;">`GET`</mark>  `https://api.overtime.io/overtime-v2/sports`

See sports API endpoint with request/response examples under [Postman documentation](https://documenter.getpostman.com/view/1435701/2sA3XY5Hao#79b6a69c-e288-4018-a18d-8faa42f145b4).

### Example Request

<https://api.overtime.io/overtime-v2/sports>

### Example Response

{% tabs %}
{% tab title="200 OK" %}

```json
{  
  "4": {
    "sport": "Basketball",
    "id": 4,
    "label": "NBA",
    "opticOddsName": "NBA",
    "provider": "rundown",
    "scoringType": "points",
    "matchResolveType": "overtime",
    "periodType": "quarter",
    "isDrawAvailable": false,
    "live": true,
    "isLiveTestnet": true
  },
  "50": {
    "sport": "Soccer",
    "id": 50,
    "label": "UEFA EURO 2024",
    "opticOddsName": "UEFA - European Championship",
    "provider": "enetpulse",
    "scoringType": "goals",
    "matchResolveType": "regular",
    "periodType": "half",
    "isDrawAvailable": true,
    "live": true,
    "isLiveTestnet": true
  }
}
```

{% endtab %}
{% endtabs %}

### Response Parameters <a href="#response-parameters" id="response-parameters"></a>

<table><thead><tr><th width="197">Name</th><th width="141">Type</th><th>Description</th></tr></thead><tbody><tr><td>sport</td><td>string</td><td>Market type ID</td></tr><tr><td>id</td><td>number</td><td>League ID</td></tr><tr><td>opticOddsName</td><td>string</td><td>OpticOdds name (needed for live mapping, not relevant for UI)</td></tr><tr><td>provider</td><td>string</td><td>Odds provider. Supported providers: <code>rundown</code>, <code>enetpulse</code></td></tr><tr><td>scoringType</td><td>string</td><td>Scoring type for sport. Supported scoring types: <code>points</code>, <code>goals</code>, <code>rounds</code>, <code>sets</code> or <code>&#x3C;empty></code>.</td></tr><tr><td>matchResolveType</td><td>string</td><td>When final score is set. Supported resolve types: <code>overtime</code>, <code>regular</code> or <code>&#x3C;empty></code>.</td></tr><tr><td>periodType</td><td>string</td><td>Period of sport. Supported periods: <code>quarter</code>, <code>half</code>, <code>period</code>, <code>round</code>, <code>inning</code>, <code>set</code>  or <code>&#x3C;empty></code>.</td></tr><tr><td>isDrawAvailable</td><td>boolean</td><td>Is draw avaulable for sport: <code>true</code> or <code>false</code>.</td></tr><tr><td>live</td><td>boolean</td><td>Are live markets supported for league: <code>true</code> or <code>false</code>.</td></tr><tr><td>isLiveTestnet</td><td>boolean</td><td>Are live markets supported for league on testnet: <code>true</code> or <code>false</code>.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overtime.io/overtime-v2-integration/overtime-v2-sports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
